import java.util.*;

class MyTester{

public static void main(String[] args){

MarriedPerson[] mpArray = new MarriedPerson[2];
MarriedPerson mp1=new MarriedPerson("Tront", "Betty", 31, 980.5f, Person.FEMALE, 3);
MarriedPerson mp2=new MarriedPerson("Tront","Kirk", 31, 2080f,Person.MALE, 2);
MarriedPerson mp3=new MarriedPerson("Tront","Sonia", 31, 600f, Person.FEMALE,0);

ArrayList<MarriedPerson> mpList=new ArrayList<MarriedPerson>();
mpList.add(mp1);
mpList.add(mp2);
mpList.add(mp3);

for(MarriedPerson obj : mpList){
obj.printInfo();}

//erwthma 7d
/*Iterator<MarriedPerson> iter = mpList.iterator();

while(iter.hasNext()){
MarriedPerson mp = iter.next();
mp.printInfo();
}
*/

//mpArray[0]=mp1;
//mpArray[1]=mp2;

//for(int i=0; i<mpArray.length; i++){
//mpArray[i].printInfo();}



//erwthma 6g
/*mp1.printInfo();
mp2.printInfo();
mp3.printInfo();
mp1.setSalary(mp2);
mp1.printInfo();
mp1.setSalary(mp3);
mp1.printInfo();
mp1.setSalary(mp2.getSalary());
mp1.printInfo(); */
}
}